#学生成绩管理系统
2023年4月16日

组长：张桐桐
组员：孟婷玉 李玉璇 周羽凡

下载地址：https://code.educoder.net/pn8rjlxip/System#readme

## 项目简介
本学生成绩管理系统是为教师提供管理班级成绩的工具，该系统可以实现的对学生的成绩进行增、删、改、查、信息保存和信息导入等基本功能，以及对学生成绩排序和分段的扩展功能，有利于对学生成绩管理。

项目开发过程中采用 Kanban（看板）进行任务管理和分工协作，并使用 Git 对程序代码和文档进行版本管理。任务分工情况如下：

|  任务  |   设计  |  开发   |  测试   |  文档  |
| ---- | ---- | ---- | ---- | ---- |
| C1-C3 菜单驱动的用户界面 |张桐桐|   张桐桐  |   李玉璇  |  张桐桐 |
|  C4 添加学生信息	|  李玉璇|  李玉璇 |  周羽凡  |  李玉璇|
|C5-C6 求和求平均 |  周羽凡 |  周羽凡  |  孟婷玉 |  周羽凡|
|C7-C9 排序	 |  孟婷玉 |  孟婷玉 |  张桐桐  |  孟婷玉 |
| C10 学生信息查询 |  张桐桐 |  张桐桐  | 李玉璇  |  张桐桐  |
|C11 统计学生信息|  李玉璇 |  李玉璇  |  周羽凡 |  李玉璇 |
|C12 打印学生信息 |  周羽凡 |  周羽凡 |  孟婷玉 |  周羽凡  |
| C13 将学生信息读入文件|  孟婷玉 |  孟婷玉  |  张桐桐  | 孟婷玉 |
| C14 从文件中读取学生信息 |  张桐桐 李玉璇|   孟婷玉 | 周羽凡 |张桐桐|

每个成员的工作量（百分比）：

|  张桐桐  |   李玉璇  |  周羽凡   |孟婷玉|
| ---- | ---- | ---- |----|
|   3 |     |     |   |



关于学生成绩管理系统
设计一个学生成绩管理系统，要求采用行菜单界面进行交互，具备读取、保存、打印、查询、插入和排序等基本功能，能够以表格和图表形式展示数据，采用CSV格式保存数据。

系统的功能性需求：

数据的读取、保存、打印、查询、插入、排序和图表展示。
系统的非功能性需求：

菜单驱动的命令行交互界面
需求分析
分析系统的功能需求和界面需求，编制用户手册如下。

C1: 启动程序
命令行中执行命令./app,系统启动，显示提示信息，然后显示功能菜单，等待用户输入命令。
````
学生成绩管理
1 输入分数
2 计算每个学生各门成绩的总分和平均分
3 计算每个课程的总分和平均分
4 按分数降序排序
5 按分数升序排序
6 按数据升序排序
7 按姓名的字典顺序排序
8 查找数据
9 查找姓名
10 统计分析
11 列表记录
12 写入文件
13 读取文件
0 退出
请输入你的选择：
````
C2: 显示命令菜单
调用 Menu() 函数显示命令菜单，用户输入选项后，将结果返回主函数
````
学生成绩管理
1 输入分数
2 计算每个学生各门成绩的总分和平均分
3 计算每个课程的总分和平均分
4 按分数降序排序
5 按分数升序排序
6 按数据升序排序
7 按姓名的字典顺序排序
8 查找数据
9 查找姓名
10 统计分析
11 列表记录
12 写入文件
13 读取文件
0 退出
请输入你的选择：
````
   
C3: 退出程序
选择菜单命令 0 ，再输入 y 确认，则退出程序。
````
请输入你的选择: 0
你确定你想进入吗?(确定/不确定): 确定
结束程序!
````
C4: 添加学生信息
选择菜单命令 1 ，假设n=4,m=3,提示输入学生的学号，姓名和成绩，然后利用循环逐个输入学生的学号和姓名以及各科成绩。
````
请输入你的选择：1
输入学生的学号，名字和成绩：
2214111018 李玉璇 100 95 86
2214111038 张桐桐 77 89 99
2214111026 孟婷玉 85 91 98
2214111022 周羽凡 75 89 100

````
C5: 计算学生各门课程总分和平均分
选择菜单命令 2 ，计算学生各门课程总分和平均分,然后利用循环逐个输出学生的顺序，总成绩和平均分，结果都取整数。
````
请输入你的选择：2
学生 李玉璇： 总分 = 281， 平均分 = 93
学生 张桐桐： 总分 = 265， 平均分 = 88
学生 孟婷玉： 总分 = 274， 平均分 = 91
学生 周羽凡： 总分 = 264， 平均分 = 88
````

c6:计算每门课程的总分和平均分
选择菜单命令 3，计算每门课程的总分和平均分，然后利用循环逐个输出每门课程的总分和平均分，结果都取整数。
 ````
 请输入你的选择： 3
 课程 1： 总分 = 337， 平均分 = 84
 课程 2： 总分 = 364， 平均分 = 91
 课程 3： 总分 = 383， 平均分 = 95
 ````
 c7：学生总分排序
 如果a < b,则按升序排序。 选择菜单命令 4，按选择法将数组sum的元素值按升序进行排序，显示提示信息，最后打印出学生信息。
 如果a > b，则按降序排序。选择菜单命令 5，按选择法将数组sum的元素值按降序进行排序，显示提示信息，最后打印出学生成绩。
````
 请输入你的选择： 4
 按分数降序排序：
 2214111038 ZhangTongtong 100 95 86 281 93
 2214111018 LiYuxuan 85 91 98 274 91
 2214111026 MengTingyu 77 89 99 265 88
 2214111022 ZhouYufan 75 89 100 264 88
 请输入你的选择： 5
 按分数升序排列：
 2214111022 ZhouYufan 75 89 100 264 88
 2214111026 MengTingyu 77 89 99 265 88
 2214111018 LiYuxuan 85 91 98 274 91
 2214111038 ZhangTongtong 100 95 86 281 93
````
 
 c8：学号顺序排序
 选择菜单命令 6，按学号从小到大进行排序，显示提示信息，最后打印学生信息。
 ````

 请输入你的选择： 6
 按学号降序排列：
 2214111018 LiYuxuan 85 91 98 274 91
 2214111022 ZhouYufan 75 89 100 264 88
 2214111026 MengTingyu 77 89 99 265 88 
 2214111038 ZhangTongtong 100 95 86 281 93
 ````
C9: 姓名顺序排序
选择菜单命令 7 ，按姓名的字典顺序进行排序，显示提示信息，最后打印学生信息。
````
请输入你的选择: 7
按名称按字典顺序排序:
2214111018 LiYuxuan 75 89 100 264 88
2214111022 ZhouYufan 77 89 99 265 88
2214111026 MengTingyu 100 95 86 281 93
2214111038 ZhangTongtong 85 91 98 274 91
````
C10: 学生信息查询
选择菜单命令 8 ，提示输入学生学号，若该学号存在，则输出学生信息；否则提示没有找到并结束。
````
请输入你的选择: 8
输入你想搜寻的学号:2214111018
2214111018 LiYuxuan 75 89 100 264 88
1 输入成绩
2 计算每门课程的总分和平均分
3 计算每名学生的总分和平均分
4 按分数降序排序
5 按分数升序排序
6 按学号升序排序
7 按名称按字典顺序排序
8 按数字搜索
9 按名字搜索
10 统计分析
11 列表记录
12 写一个文件
13 从文件中读取
0  退出
请输入你的选择: 8
输入你想搜寻的学号:2214111001
没有找到!
选择菜单命令 9 ，提示输入学生姓名，若该姓名存在，则输出学生信息；否则提示没有找到并结束。
请输入你的选择: 9
输入你想搜寻的名字:ZhangTongtong
2214111038 ZhangTongtong 85 91 98 274 91
1 输入分数
2 计算每门课程的总分和平均分
3 计算每名学生的总分和平均分
4 按分数降序排序
5 按分数升序排序
6 按学号升序排序
7 按名称按字典顺序排序
8 通过学号搜索
9 通过姓名搜素
10 统计分析
11 列表记录
12 写一个文件
13 从文件中读取
0  退出
请输入你的选择: 9
请输入你想搜索的名字:GuoJiahui
Not found!
````
C11: 统计各分数段学生人数及所占百分比
选择菜单命令 10，提示输入学生成绩，通过循环得出各分数段学生人数及所占百分比
````
请输入你的选择: 10
关于课程1:
<60 0 0.00%
60-70 0 0.00%
70-80 2 50.00%
80-90 1 25.00%
90-100 0 0.00%
100 1 25.00%
For course 2:
<60 0 0.00%
60-70 0 0.00%
70-80 0 00.00%
80-90 2 50.00%
90-100 2 50.00%
100 0 0.00%
For course 3:
<60 0 0.00%
60-70 0 0.00%
70-80 0 0.00%
80-90 1 25.00%
90-100 2 50.00%
100 1 25.00%
````
C12: 打印学生信息
选择菜单命令11，打印
````
请输入你的选择：11
2214111018 李玉璇 100 95 86 281 93
2214111038 张桐桐 77 89 99 265 88
2214111026 孟婷玉 85 91 98 274 91
2214111022 周羽凡 75 89 100 264 88
````
C13: 将学生信息保存在文件中
选择菜单命令 12 ，将学生信息保存在文件 student.txt 中。如果文件不存在，则给出错误信息并退出程序，否则逐个读入
````
请输入你的选择：12
未能打开你的成绩！
1 输入成绩
2 计算所有课程的总分和平均值
3 计算所有学生的总分和平均值
4 按分数降序排列
5 按分数升序排列
6 按数字升序排列
7 按名字字母排列
8 按数字搜索
9 按名字搜索
10 统计分析
11 列表记录
12 写入文件
13 从文件中读取
0 退出
请输入你的选择：12
2214111018 李玉璇 100 95 86 281 93
2214111038 张桐桐 77 89 99 265 88
2214111026 孟婷玉 85 91 98 274 91
2214111022 周羽凡 75 89 100 264 88

````
C14：从文件中读取学生信息
选择菜单命令 13 ，从文件中读取学生的学号、姓名及成绩等信息写入到结构体数组 stu 中。如果文件为空，则给出错误信息并退出程序，反之，逐个读入
````
请输入你的选择：13
未能打开你的成绩！
1 输入成绩
2 计算所有课程的总分和平均值
3 计算所有学生的总分和平均值
4 按分数降序排列
5 按分数升序排列
6 按数字升序排列
7 按名字字母排列
8 按数字搜索
9 按名字搜索
10 统计分析
11 列表记录
12 写入文件
13 从文件中读取
0 退出
请输入你的选择：12
2214111018 李玉璇 100 95 86 281 93
2214111038 张桐桐 77 89 99 265 88
2214111026 孟婷玉 85 91 98 274 91
2214111022 周羽凡 75 89 100 264 88

````
````
//李玉璇、、、、、、、、、、、、、、、、、、、、、、、、、、、、、、、
概要设计
系统主要分为用户界面和数据处理两大模块。
用户界面模块包括系统初始化（init），显示菜单（display_menu），选择菜单命令（make_choice）、确认（confirm）、退出（quit）等子模块。
数据处理模块包括读取数据（read_data）、保存数据（save_data）、打印数据（print_data）、查询数据（query_data）、添加数据（add_data）、更新数据（update_data）、删除数据（delete_data）、数据排序（sort_data）和生成图表（make_chart）等子模块。其中查询、添加、更新和删除数据还会用到根据编号查询数据的方法（find）。

上述各模块通过主程序（main）进行调用，系统模块图如下。

![添加库存记录流程图](ztt2.drawio.svg)

各模块的主要功能如下：

# main
系统主函数模块，显示菜单，根据用户选择的菜单命令，执行相关操作。

# init
系统初始化

#menu
显示菜单命令

#详细设计
针对概要设计
//李玉璇
#main
Step 1:初始化
Step 2:根据用户选择的命令执行相应的操作
Step 2.1:显示菜单
Step 2.2:选择菜单命令 c
Step 2.3:if c == 1 then ReadScore
Step 2.4:if c == 2 then AverSumofEveryStudent
Step 2.5:if c == 3 then AverSumofEveryCourse
Step 2.6:if c == 4 then SortbyScore(Descending)
Step 2.7:if c == 5 then SortbyScore(Ascending)
Step 2.8:if c == 6 then AsSortbyNum
Step 2.9:if c == 7 then SortbyName
Step 2.10:if c == 8 then SearchbyNum
Step 2.11:if c == 9 then SearchbyName
Step 2.12:if c == 10 then StatisticAnalysis
Step 2.13:if c == 11 then PrintScore
Step 2.14:if c == 12 then WritetoFile
Step 2.15:if c == 13 then ReadfromFile
Step 2.16:if c == 0 then exit
![详细设计](lyx.drawio.svg)


系统模块图
````
1·输入n个学生的m门课成绩
ReadScore
Step 1:显示提示信息，要求输入学生的学号，姓名和成绩
Step 2：利用循环，输入学生的学号，成绩和各科成绩
````
![信息存入](ztt4.drawio.svg)
````
2·计算每个学生各门课程的总分和平均分 
AverSumofEveryStudent
step1输入一门学生的成绩
step2将学生成绩相加，输出总分
step3输出课程平均值
step4输入下一门课程
````
![总分平均分](ztt1.drawio.svg)
````
3·计算每门课程的总分和平均分 
AverSumofEveryCourse
step1输入第一门课程的所有学生的成绩
step2将成绩相加，输出科目总分
step3总分/人数，输出课程平均分
step4输入下一个科目
````
![课程总分平均分](ztt5.drawio.svg)
````
4·按选择法将数组sum的元素值排序 
SortbyScore
Step 1:利用循环将i赋值给k
Step 2:用循环从i+1到n-1比较,将较小的赋给k
Step 3:如果k与i不相等，每一课的成绩交换，总分，平均分，学号，姓名依次交换
````
![排序](sortbyscore.drawio.svg)

````
5·按选择法将数组num的元素值按从低到高排序 
AsSortbyNum
````
![num排序](mty5.drawio.svg)
````
6·交换法实现字符串按字典顺序排序 
SortbyName
````
![字符串排序](mty6.drawio.svg)
7.按学号查找学生成绩并显示查找结果 
SearchbyNum
8·按姓名的字典顺序排出成绩表 
SearchbyName
9·统计各分数段的学生人数及所占的百分比
StatisticAnalysis
10·打印学生成绩 
PrintScore
11·输出n个学生的学号、姓名及m门课程的成绩到文件student.txt中 
WritetoFile
12·从文件中读取学生的学号、姓名及成绩等信息写入到结构体数组stu中
ReadfromFile

exit


代码实现
// 头文件的使用

下面是代码库
````c

#include  <stdio.h>
#include  <stdlib.h>
#include  <string.h>
#define   MAX_LEN  10                    	// 字符串最大长度 
#define   STU_NUM 30                       // 最多的学生人数 
#define   COURSE_NUM 6                     // 最多的考试科目数 
typedef struct student
{
		long num;						// 每个学生的学号 
		char name[MAX_LEN];            	// 每个学生的姓名 
		float score[COURSE_NUM];		// 每个学生COURSE_NUM门功课的成绩 
		float sum;                   	     // 每个学生的总成绩 
		float aver;               	     // 每个学生的平均成绩 
}STU;
int   Menu(void);
void  ReadScore(STU stu[], int n, int m);
void  AverSumofEveryStudent(STU stu[], int n, int m);
void  AverSumofEveryCourse(STU stu[], int n, int m);
void  SortbyScore(STU stu[],int n,int m,int (*compare)(float a,float b));
int   Ascending(float a, float b);
int   Descending(float a, float b);
void  SwapFloat(float *x, float *y);
void  SwapLong(long *x, long *y);
void  SwapChar(char x[], char y[]);
void  AsSortbyNum(STU stu[], int n, int m);
void  SortbyName(STU stu[], int n, int m);
void  SearchbyNum(STU stu[], int n, int m);
void  SearchbyName(STU stu[], int n, int m);
void  StatisticAnalysis(STU stu[], int n, int m);
void  PrintScore(STU stu[], int n, int m);
void  WritetoFile(STU record[], int n, int m);
void  ReadfromFile(STU record[], int *n, int *m);
int main(void)
{
	char  ch;
	int   n = 0, m = 0;
	STU   stu[STU_NUM];	
printf("Input student number(n<%d):", STU_NUM);
	scanf("%d", &n);
printf("Input course number(m<=%d):",COURSE_NUM);
	scanf("%d", &m);
	while (1)
	{
		ch = Menu();					    // 显示菜单，并读取用户输入 		
		switch (ch)
		{
			case 1:ReadScore(stu, n, m);
					break;
			case 2: AverSumofEveryCourse(stu, n, m);                        
					break;
            case 3: AverSumofEveryStudent(stu, n, m);                    
					break;
			case 4: SortbyScore(stu, n, m, Descending);
					printf("\nSort in descending order by score:\n");
					PrintScore(stu, n, m);
					break;
			case 5: SortbyScore(stu, n, m, Ascending);
					printf("\nSort in ascending order by score:\n");
					PrintScore(stu, n, m);
					break;
			case 6: AsSortbyNum(stu, n, m);
					printf("\nSort in ascending order by number:\n");
					PrintScore(stu, n, m);
					break;
			case 7: SortbyName(stu, n, m);
					printf("\nSort in dictionary order by name:\n");
					PrintScore(stu, n, m);
					break;
			case 8: SearchbyNum(stu, n, m);
					break;
			case 9: SearchbyName(stu, n, m);
					break;
			case 10: StatisticAnalysis(stu, n, m);
					break;
			case 11:PrintScore(stu, n, m);
					break;
case 12:WritetoFile(stu, n, m);
				     break;
			case 13:ReadfromFile(stu, &n, &m);
				     break;
			case 0: printf("End of program!");
			       	exit(0);
			default:printf("Input error!");
		}
	}
	return 0;}
//  函数功能：显示菜单并获得用户键盘输入的选项 
int Menu(void)
{
		int itemSelected;
		printf("Management for Students' scores\n");
		printf("1.Input record\n");
		printf("2.Calculate total and average score of every course\n");
		printf("3.Calculate total and average score of every student\n");
		printf("4.Sort in descending order by score\n");
		printf("5.Sort in ascending order by score\n");
		printf("6.Sort in ascending order by number\n");
		printf("7.Sort in dictionary order by name\n");
		printf("8.Search by number\n");
		printf("9.Search by name\n");
		printf("10.Statistic analysis\n");
		printf("11.List record\n");
		printf("12.Write to a file\n");
		printf("13.Read from a file\n");
		printf("0.Exit\n");
		printf("Please Input your choice:");
		scanf("%d", &itemSelected); 	// 读入用户输入 
		return itemSelected;
}
//1 函数功能：输入n个学生的m门课成绩 
void ReadScore(STU stu[], int n, int m)
{
	int i, j;
	printf("Input student's ID, name and score:\n");
    for(i=0;i<n;i++)
    {scanf("%ld%s",&stu[i].num,stu[i].name);
     for (j=0; j<m; j++)
     scanf("%f",&stu[i].score[j]);
    }
}
//2 函数功能：计算每个学生各门课程的总分和平均分 
void AverSumofEveryStudent(STU stu[], int n, int m)
{
	int i, j;
	for (i=0; i<n; i++)
	{
	    stu[i].sum = 0;
	    for (j=0; j<m; j++)
	    {
            stu[i].sum = stu[i].sum + stu[i].score[j];
	    }
	    stu[i].aver = m>0 ? stu[i].sum / m : -1;
	    printf("student %d: sum = %.0f, aver = %.0f\n", 
i+1, stu[i].sum, stu[i].aver);
	}	
}
//3 函数功能：计算每门课程的总分和平均分 

//4 函数功能：按选择法将数组sum的元素值排序 

// 5使数据按升序排序 
int Ascending(float a, float b)
{
	return a < b;      // 这样比较决定了按升序排序，如果a<b，则交换 
}
// 6使数据按降序排序 
int Descending(float a, float b)
{
	return a > b;
}
// 7交换两个单精度浮点型数据 

// 8交换两个长整型数据 

// 9交换两个字符串 
void  SwapChar(char x[], char y[])
{
char temp[MAX_LEN];
strcpy(temp, x);
strcpy(x, y);
strcpy(y, temp);
}
// 10函数功能：按选择法将数组num的元素值按从低到高排序 

// 11函数功能：交换法实现字符串按字典顺序排序 
void AsSortbyNum(STU stu[], int n, int m)
{
    int  i, j, k, t;
    for (i=0; i<n-1; i++)
    {
        k = i;
        for (j=i+1; j<n; j++)
        {
            if (stu[j].num < stu[k].num)    k = j;
        }
        if (k != i)
        {
            for (t=0; t<m; t++)          
              {
                   SwapFloat(&stu[k].score[t], &stu[i].score[t]);
            }
SwapFloat(&stu[k].sum, &stu[i].sum);  
SwapFloat(&stu[k].aver, &stu[i].aver);   
SwapLong(&stu[k].num, &stu[i].num);     
SwapChar(stu[k].name, stu[i].name);  
        }
    }
}
// 12函数功能：按学号查找学生成绩并显示查找结果 

// 13函数功能：按姓名的字典顺序排出成绩表
void SearchbyName(STU stu[], int n, int m)
{
	char x[MAX_LEN];
	int  i, j;
	printf("Input the name you want to search:");
	scanf("%s", x);
	for (i=0; i<n; i++)
	{
		if (strcmp(stu[i].name, x) == 0)
		{
			printf("%ld\t%s\t", stu[i].num, stu[i].name);
			for (j=0; j<m; j++)
			{
				printf("%.0f\t", stu[i].score[j]);
			}
			printf("%.0f\t%.0f\n", stu[i].sum, stu[i].aver);
			return;
		}
	}
	printf("\nNot found!\n");
}

// 14函数功能：统计各分数段的学生人数及所占的百分比 
void StatisticAnalysis(STU stu[], int n, int m)
{
	int  i, j, t[6];
	for (j=0; j<m; j++)
	{
		printf("For course %d:\n", j+1);
	     memset(t, 0, sizeof(t)); 
		for (i=0; i<n; i++)
		{
			if (stu[i].score[j]>=0 && stu[i].score[j]<60)t[0]++;
			else if (stu[i].score[j]<70)				   t[1]++;
			else if (stu[i].score[j]<80)				   t[2]++;
			else if (stu[i].score[j]<90)				   t[3]++;
			else if (stu[i].score[j]<100)				   t[4]++;
			else if (stu[i].score[j] == 100)      		   t[5]++;
		}
		for (i=0; i<=5; i++)
		{
            if (i==0) printf("<60\t%d\t%.2f%%\n",t[i],(float)t[i]/n*100);
	       else if (i==5) printf("%d\t%d\t%.2f%%\n",
(i+5)*10,t[i],(float)t[i]/n*100);
	       else 	printf("%d-%d\t%d\t%.2f%%\n", 
(i+5)*10, (i+5)*10+9, t[i], (float)t[i]/n*100);	
		}
	}
}

// 15函数功能： 打印学生成绩 
void PrintScore(STU stu[], int n, int m)
{
	int i, j;
	for (i=0; i<n; i++)
	{
		printf("%ld\t%s\t", stu[i].num, stu[i].name);
		for (j=0; j<m; j++)
		{
			printf("%.0f\t", stu[i].score[j]);
		}
		printf("%.0f\t%.0f\n", stu[i].sum, stu[i].aver);
	}
}

// 16输出n个学生的学号、姓名及m门课程的成绩到文件student.txt中 


//17从文件中读取学生的学号、姓名及成绩等信息写入到结构体数组stu中
void ReadfromFile(STU stu[],int *n, int *m)
{
	FILE *fp;
	int i, j;
	if ((fp = fopen("student.txt","r")) == NULL) 
	{ 
		printf("Failure to open score.txt!\n");
		exit(0);
	}
     fscanf(fp, "%d\t%d", n, m); // 从文件中读出学生人数和课程门数       
	for (i=0; i<*n; i++)  //学生人数保存在n指向的存储单元
	{
		fscanf(fp, "%10ld", &stu[i].num);
		fscanf(fp, "%10s", stu[i].name);  
		for (j=0; j<*m; j++)//课程门数保存在m指向的存储单元
		{
			fscanf(fp, "%10f", &stu[i].score[j]);          //不能用%10.0f
		}
		fscanf(fp, "%10f%10f", &stu[i].sum, &stu[i].aver);//不能用%10.0f
	}
	fclose(fp);		
}
````